Subject: More info and some ideas...

From: [email-masked] (Marc "Sting" Lefebvre)
Date: Thu, 25 Mar 93 13:39:17 EST

Hi all again,

	First I have some more questions...

	I am designing a world which is basically our solar system
using the PLGSTARS program written by Bernie and the RENDGLOBE program
(sorry I don't remember who wrote this one) and I load these two
objects into a world (first manually then using the world file format).
What is happening is that when I load a planet (sphere) into a 
starfield (3d dot plain) the colors on the planet are getting 
screwed up.  I have on that is yellow and when it is placed in a 
starfield it becomes a multi-colored sphere and parts of the sphere 
disappear occasionally.  From some angles it looks perfect but
sometimes it doesn't.  I also tried a modification to the PLGSTARS 
code where I can specify an area not to place any stars so that I 
can place a planet into that area (thinking that maybe the
intersection of stars with the planet may cause the problem) and
it still persists.  Is it possible that this may be fixed by using the
splitting planes around the planets?  Just an idea...

	Also,  once in rend386 can you modify the sky and ground color
values? If so, how?

	Now  I have some ideas for possible added features for
rend386.  These features may move the rend386 environment to include
the ability to be a world building tool kit as well....  but
anyways...

	A nice added feature would be to be able to save out of
rend386, figure files, and world files.  The figure files should work
just like saving a plg file. You select the entire object and then
call a save option.  To save a world you would call a save option that
would create a *.wld file that would reproduce what is currently
loaded into rend386.  

	Also a nice ability to move objects a greater
distance when you select an object to move.  Rather than just the size
of the screen.  Being able to select the go option while an object is
selected would actually place the object at those coordinates.

	A user interface of some kind that when you go to load a plg,
fig, or wld file you would get a file listing of all *.plg, *.fig, and *.wld
files that you could possibly load.  And based on the suffix, rend386
could tell if it was loading a plg, fig, or wld file.

	I am not sure if these suggestions would take rend386 towards
something it was not intended but please give me input as to what you
think and maybe Dave and Bernie could include some of these ideas in a
future release of rend386. (maybe they have already thought of these
ideas?  :-)    )

	Thanks for your replys to my last inquiry

--- 
  ___________________________________________________________________________
 /    **   ****	                                   |     World Cup 1994	     \
|    **   **  **   Marc A. Lefebvre	   	   |        --USA--           |
|   **   **    **   Computer Science Department    |"He shoots ... he scores!"|
|  **	**  *   **   University of Albany          |--------------------------|
| *******  ********                                | "Don't Drink and Derive" |
|		"I'd rather be Windsurfing!"       `--------------------------|
|  [email-masked]      [email-masked]     [email-masked]  |
 \___________________________________________________________________________/